List record changes | Parallel Developer Documentation

Version: Current – v2.x

Case Management preserves snapshots of changes made to records for an individual or business. This endpoint can be used to obtain all changes for a business or individual.

HTTP Request

GET https://api.parallelmarkets.com/v2/partner-records/{id}/changes

Query Parameters

Pagination request parameters (optional).

Response Parameters

Parameter Description
data An array of Business Record Details or Individual Record Details objects, sorted in ascending order of the record's insertion date.
pagination A Pagination object containing a next_cursor value that can be used in a subsequent API call to obtain the next page of records.

Example Response

{
  "data": [
    {
      "accreditation_assertion_type": "evaluator-assertion",
      "accreditation_expires_at": "2023-03-21T00:00:00Z",
      "accreditation_status": "CURRENT",
      "birth_date": "1970-01-01",
      "birth_place": "United States",
      "change_created_at": "2023-03-20T18:40:00Z",
      "change_created_by": {
        "email": "john@example.com",
        "first_name": "John",
        "last_name": "Doe"
      },
      "change_id": "UG9kVXNlckRhdGFFbnRyeTo3OTE=",
      "citizenship_country": "US",
      "secondary_citizenship_countries": ["CA"],
      "consistency_summary": {
        "address_id_match": null,
        "address_id_value": null,
        "address_records_match_level": "high",
        "address_submitter_match": true,
        "birth_date_id_match": false,
        "birth_date_id_value": "1983-06-23",
        "birth_date_records_match_level": "none",
        "id_validity": "expired",
        "id_matching_sides": null,
        "name_id_match": false,
        "name_id_value": "JOHN DOE",
        "name_records_match_level": "high",
        "name_tax_match": true,
        "name_tax_value": "John Doe",
        "overall_records_match_level": "high",
        "possibly_deceased": false,
        "tin_multiple_match": false,
        "tin_records_match_level": "none"
      },
      "domicile_location": {
        "address_one": "1 Some Street",
        "address_two": null,
        "city": "Milford",
        "country": "US",
        "postal_code": "06460",
        "region": null,
        "state": "CT"
      },
      "email": "john@doe.com",
      "first_name": "John",
      "id_expiration": null,
      "indicated_unaccredited_at": null,
      "last_name": "Doe",
      "marital_status": "married",
      "middle_name": null,
      "phone": "+12125555555",
      "residence_location": {
        "address_one": "1 Some Street",
        "address_two": null,
        "city": "Milford",
        "country": "US",
        "postal_code": "06460",
        "region": null,
        "state": "CT"
      },
      "source": "user",
      "tax_country": "US",
      "tax_id": "000-99-0000",
      "secondary_tax_ids": [
        {
          "tax_country": "CA",
          "tax_id": "000-999-000"
        }
      ],
      "us_person": true,
      "user_session": {
        "city": "Bridgeport",
        "country_code": "US",
        "maybe_anonymizing_proxy": false,
        "region": "Connecticut"
      },
      "risk_monitoring_status": "enabled"
    },
    {
      "accreditation_assertion_type": "evaluator-assertion",
      "accreditation_expires_at": "2023-03-21T00:00:00Z",
      "accreditation_status": "CURRENT",
      "birth_date": "1970-01-01",
      "birth_place": "United States",
      "change_created_at": "2023-04-20T18:40:00Z",
      "change_created_by": {
        "email": "john@example.com",
        "first_name": "John",
        "last_name": "Doe"
      },
      "change_id": "UG7ahsBykRhdGFFbnRyeTo3OTE=",
      "citizenship_country": "US",
      "secondary_citizenship_countries": ["CA"],
      "consistency_summary": {
        "address_id_match": null,
        "address_id_value": null,
        "address_records_match_level": "high",
        "address_submitter_match": true,
        "birth_date_id_match": false,
        "birth_date_id_value": "1983-06-23",
        "birth_date_records_match_level": "none",
        "id_validity": "expired",
        "id_matching_sides": null,
        "name_id_match": false,
        "name_id_value": "JOHN DOE",
        "name_records_match_level": "high",
        "name_tax_match": true,
        "name_tax_value": "John Doe",
        "overall_records_match_level": "high",
        "possibly_deceased": true,
        "tin_multiple_match": false,
        "tin_records_match_level": "none"
      },
      "domicile_location": {
        "address_one": "1 Some Street",
        "address_two": null,
        "city": "Milford",
        "country": "US",
        "postal_code": "06460",
        "region": null,
        "state": "CT"
      },
      "email": "john@doe.com",
      "first_name": "John",
      "id_expiration": null,
      "indicated_unaccredited_at": null,
      "last_name": "Doe",
      "marital_status": "married",
      "middle_name": null,
      "phone": "+12125555555",
      "residence_location": {
        "address_one": "1 Some Street",
        "address_two": null,
        "city": "Milford",
        "country": "US",
        "postal_code": "06460",
        "region": null,
        "state": "CT"
      },
      "source": "user",
      "tax_country": "US",
      "tax_id": "000-99-0000",
      "secondary_tax_ids": [
        {
          "tax_country": "CA",
          "tax_id": "000-999-000"
        }
      ],
      "us_person": true,
      "user_session": {
        "city": "Bridgeport",
        "country_code": "US",
        "maybe_anonymizing_proxy": false,
        "region": "Connecticut"
      },
      "risk_monitoring_status": "enabled"
    }
  ],

"pagination": {
    "next_cursor": null
  }
}